ByteOrder (Java Platform SE 8 )
Keywords: java.nio.ByteOrder class
Date: 2026-01-21

compact1, compact2, compact3
java.nio

## Class ByteOrder

- java.lang.Object
- - java.nio.ByteOrder

-     public final class ByteOrder
      extends Object

  A typesafe enumeration for byte orders.
  Since:
    1.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ByteOrder` | `BIG_ENDIAN` Constant denoting big-endian byte order.
    `static ByteOrder` | `LITTLE_ENDIAN` Constant denoting little-endian byte order.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ByteOrder` | `nativeOrder()` Retrieves the native byte order of the underlying platform.
    `String` | `toString()` Constructs a string describing this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BIG_ENDIAN

          public static final ByteOrder BIG_ENDIAN

      Constant denoting big-endian byte order. In this order, the bytes of a multibyte value are ordered from most significant to least significant.

    - #### LITTLE_ENDIAN

          public static final ByteOrder LITTLE_ENDIAN

      Constant denoting little-endian byte order. In this order, the bytes of a multibyte value are ordered from least significant to most significant.

  - ### Method Detail

    - #### nativeOrder

          public static ByteOrder nativeOrder()

      Retrieves the native byte order of the underlying platform.

      This method is defined so that performance-sensitive Java code can allocate direct buffers with the same byte order as the hardware. Native code libraries are often more efficient when such buffers are used.

      Returns:
        The native byte order of the hardware upon which this Java virtual machine is running

    - #### toString

          public String toString()

      Constructs a string describing this object.

      This method returns the string `"BIG_ENDIAN"` for `BIG_ENDIAN` and `"LITTLE_ENDIAN"` for `LITTLE_ENDIAN`.

      Overrides:
        `toString` in class `Object`
      Returns:
        The specified string

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.